summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAngelo Theodorou2015-07-07 22:13:02 +0100
committerAngelo Theodorou2015-07-07 22:13:02 +0100
commit6719032b63e10e920c0c3ada40b8696a88bff62e (patch)
treec05ea4c98809a97c29e3c263ad799717e389a78c
downloadaur-6719032b63e10e920c0c3ada40b8696a88bff62e.tar.gz
Initial import
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD29
-rw-r--r--dunelegacy.changelog26
-rw-r--r--dunelegacy.install13
4 files changed, 85 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..42f6c3b49f8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = dunelegacy
+ pkgdesc = Updated clone of Westood Studios' Dune2
+ pkgver = 0.96.3
+ pkgrel = 2
+ url = http://dunelegacy.sourceforge.net
+ install = dunelegacy.install
+ changelog = dunelegacy.changelog
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = sdl_mixer
+ depends = desktop-file-utils
+ source = http://downloads.sourceforge.net/sourceforge/dunelegacy/dunelegacy-0.96.3-src.tar.bz2
+ md5sums = 1ca64c06646aeb537d47f601a49463e9
+
+pkgname = dunelegacy
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7bed203a9c6
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Contributor: Angelo Theodorou <encelo@users.sourceforge.net>
+
+pkgname=dunelegacy
+pkgver=0.96.3
+pkgrel=2
+pkgdesc="Updated clone of Westood Studios' Dune2"
+arch=('i686' 'x86_64')
+url="http://dunelegacy.sourceforge.net"
+license=('GPL')
+depends=('sdl_mixer' 'desktop-file-utils')
+changelog=dunelegacy.changelog
+install=dunelegacy.install
+source=(http://downloads.sourceforge.net/sourceforge/dunelegacy/$pkgname-$pkgver-src.tar.bz2)
+md5sums=('1ca64c06646aeb537d47f601a49463e9')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make prefix=$pkgdir/usr install
+
+ # install icon and desktop files
+ install -Dm644 "$pkgname.png" "$pkgdir/usr/share/pixmaps/$pkgname.png"
+ install -Dm644 "$pkgname.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop"
+}
diff --git a/dunelegacy.changelog b/dunelegacy.changelog
new file mode 100644
index 00000000000..ed2ee5fcf4d
--- /dev/null
+++ b/dunelegacy.changelog
@@ -0,0 +1,26 @@
+2013-04-12 Angelo "Encelo" Theodorou <encelo@users.sourceforge.net>
+
+ * PKGBUILD :
+ Using $srcdir and $pkgdir variables
+ Installing icon and .desktop file
+ Updated dependencies array
+ Added a .install file
+
+2013-01-09 Angelo "Encelo" Theodorou <encelo@users.sourceforge.net>
+
+ * PKGBUILD :
+ Added the changelog directive
+ Added a package() function
+
+2010-08-18 Angelo "Encelo" Theodorou <encelo@users.sourceforge.net>
+
+ * PKGBUILD :
+ Added x86_64 to the arch field
+
+2010-05-27 Angelo "Encelo" Theodorou <encelo@users.sourceforge.net>
+
+ * PKGBUILD :
+ No more install file
+ Empty fields purged
+ arch field added
+ Source URL, description and dependencies updated
diff --git a/dunelegacy.install b/dunelegacy.install
new file mode 100644
index 00000000000..88798b76805
--- /dev/null
+++ b/dunelegacy.install
@@ -0,0 +1,13 @@
+
+post_install() {
+ # updates for our .desktop file
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}